RtfListItem.RtfListItemLabel (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfListItem.RtfListItemLabel

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTextrun
      - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfListItem.RtfListItemLabel

- All Implemented Interfaces:
    IRtfTextrunContainer
  Enclosing class:
    RtfListItem

      public class RtfListItem.RtfListItemLabel
      extends RtfTextrun
      implements IRtfTextrunContainer

  special RtfTextrun that is used as list item label

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTextrun

      `BREAK_COLUMN, BREAK_EVEN_PAGE, BREAK_NONE, BREAK_ODD_PAGE, BREAK_PAGE, log`

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `attrib, parent, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfListItemLabel(RtfListItem item)` Constructs the RtfListItemLabel

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addString(java.lang.String s)` Sets the content of the list item label.
    `RtfTextrun` | `getTextrun()` Returns the current RtfTextrun object.

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfTextrun

      `addBookmark, addFootnote, addHyperlink, addLeader, addPageNumber, addPageNumberCitation, addParagraphBreak, getRtfListItem, getTextrun, newImage, popBlockAttributes, popInlineAttributes, pushBlockAttributes, pushInlineAttributes, setRtfListItem, setSuppressLastPar, writeRtfContent`

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

      `addChild, findChildren, getChildCount, getChildren, isEmpty, okToWriteRtf, setChildren, setOptions, toString`

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RtfListItemLabel

          public RtfListItemLabel(RtfListItem item)
                           throws java.io.IOException

      Constructs the RtfListItemLabel
      Parameters:
        `item` - The RtfListItem the label belongs to
      Throws:
        `java.io.IOException` - Thrown when an IO-problem occurs

  - ### Method Detail

    - #### getTextrun

          public RtfTextrun getTextrun()
                                throws java.io.IOException

      Returns the current RtfTextrun object. Opens a new one if necessary.
      Specified by:
        `getTextrun` in interface `IRtfTextrunContainer`
      Returns:
        The RtfTextrun object
      Throws:
        `java.io.IOException` - Thrown when an IO-problem occurs

    - #### addString

          public void addString(java.lang.String s)
                         throws java.io.IOException

      Sets the content of the list item label.
      Overrides:
        `addString` in class `RtfTextrun`
      Parameters:
        `s` - Content of the list item label.
      Throws:
        `java.io.IOException` - Thrown when an IO-problem occurs

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.